
QGIS Application - Bug report #21680

QGIS 3.7 Rel 14 will not start on windows wiht a hint to check ggis-dev-bin-ggrass76v.env for correct 

evironmentpath

2019-03-26 10:38 PM - Gerhard Spieles

Status: Closed

Priority: Normal

Assignee:

Category: Build/Install

Affected QGIS version:3.7(master) Regression?: No

Operating System: win 10 Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 29496

Description

After update 3.7 to rel 14 from OSGEO4W64 , QGIS will not start. A popup appears. pdf is attached.

Related issues:

Duplicates QGIS Application - Bug report # 21672: [osgeo4w] qgis-xxx-grass fi... Closed 2019-03-25

Associated revisions

Revision 8e70c08b - 2019-03-27 10:44 AM - Jürgen Fischer

osgeo4w: fix grass shortcuts in qgis-dev (fixes #21680)

Revision e3f23f8a - 2019-03-27 10:50 AM - Jürgen Fischer

osgeo4w: fix grass shortcuts in qgis-dev (fixes #21680)

(cherry picked from commit 8e70c08b18f6897da2b54a48f5aa025c27171475)

Revision de8a438c - 2019-03-27 10:51 AM - Jürgen Fischer

osgeo4w: fix grass shortcuts in qgis-dev (fixes #21680)

(cherry picked from commit 8e70c08b18f6897da2b54a48f5aa025c27171475)

History

#1 - 2019-03-26 10:42 PM - Giovanni Manghi

- Status changed from Open to Feedback

Duplicate of #21672 ?

#2 - 2019-03-26 11:17 PM - Gerhard Spieles

could be. it depends for me, wether rel 14 is later than f114ad89 or not. But i dont know this, because qgis will not start.

In the folder osqeo4w64, i searched ggrass-files and found:
qgis-dev-bin-ggrass76v.exe

qgis-dev-bin-ggrass76v.vars

The mentioned file in the popup "ggis-dev-bin-ggrass76v.env" does not exist in the osgeo4w64 folder.

#3 - 2019-03-27 01:29 AM - Jürgen Fischer

- Duplicates Bug report #21672: [osgeo4w] qgis-xxx-grass file name has changed added

#4 - 2019-03-27 10:31 AM - Jürgen Fischer

Gerhard Spieles wrote:

could be. it depends for me, wether rel 14 is later than f114ad89 or not.

What is "rel 14"?

#5 - 2019-03-27 10:45 AM - Jürgen Fischer

- Status changed from Feedback to Closed

- % Done changed from 0 to 100

Applied in changeset commit:qgis|8e70c08b18f6897da2b54a48f5aa025c27171475.

#6 - 2019-03-27 12:49 PM - Pedro Venâncio

Hi Jurgen,

I believe it was also fixed in commit:8e70c08b18f6897da2b54a48f5aa025c27171475, but the .bat files were not created, just the .bat.tmpl files.

And the Start Menu shortcuts were calling qgis-xxx-xxx-bin-ggrass76v.exe, instead of the .bat files.

Files

winloaderror_qgis3.7rev14_missing_ggis_dev_bin_ggrass76v.env.pdf 183 KB 2019-03-26 Gerhard Spieles
